com.tibbo.aggregate.common.util

## Class ImageObject

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.AggreGateBean
  - - com.tibbo.aggregate.common.util.ImageObject

-     public class ImageObject
      extends AggreGateBean

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ImageObject.ImageOptionType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `VF_IMAGE_DATA`
    `static java.lang.String` | `VF_IMAGE_TYPE`
    `static java.lang.String` | `VF_IMAGE_URL`
    `static TableFormat` | `VFT_IMAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImageObject()`
    `ImageObject(DataRecord data)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ImageObject` | `fromDataTable(DataTable dataTable)`
    `Data` | `getImageData()`
    `java.lang.Integer` | `getImageType()`
    `java.lang.String` | `getImageUrl()`
    `void` | `setImageData(Data imageData)`
    `void` | `setImageType(java.lang.Integer imageType)`
    `void` | `setImageUrl(java.lang.String imageUrl)`
    `DataTable` | `toDataTable()`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.AggreGateBean

      `getFormat, toDataRecord`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VF_IMAGE_TYPE

          public static final java.lang.String VF_IMAGE_TYPE

      See Also:
        Constant Field Values

    - #### VF_IMAGE_DATA

          public static final java.lang.String VF_IMAGE_DATA

      See Also:
        Constant Field Values

    - #### VF_IMAGE_URL

          public static final java.lang.String VF_IMAGE_URL

      See Also:
        Constant Field Values

    - #### VFT_IMAGE

          public static final TableFormat VFT_IMAGE

  - ### Constructor Detail

    - #### ImageObject

          public ImageObject()

    - #### ImageObject

          public ImageObject(DataRecord data)

  - ### Method Detail

    - #### getImageType

          public java.lang.Integer getImageType()

    - #### setImageType

          public void setImageType(java.lang.Integer imageType)

    - #### getImageData

          public Data getImageData()

    - #### setImageData

          public void setImageData(Data imageData)

    - #### getImageUrl

          public java.lang.String getImageUrl()

    - #### setImageUrl

          public void setImageUrl(java.lang.String imageUrl)

    - #### toDataTable

          public DataTable toDataTable()

      Overrides:
        `toDataTable` in class `AggreGateBean`

    - #### fromDataTable

          public static ImageObject fromDataTable(DataTable dataTable)